Package org.zkoss.bind.impl

## Class InitPropertyBindingImpl

- java.lang.Object
- - org.zkoss.bind.impl.BindingImpl
  - - org.zkoss.bind.impl.PropertyBindingImpl
    - - org.zkoss.bind.impl.InitPropertyBindingImpl

- All Implemented Interfaces:
    `java.io.Serializable`, `Binding`, `InitPropertyBinding`, `LoadBinding`, `LoadPropertyBinding`, `PropertyBinding`

      public class InitPropertyBindingImpl
      extends PropertyBindingImpl
      implements InitPropertyBinding

  Implementation of `InitPropertyBinding`.
  Since:
    6.0.0
  Author:
    Dennis
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.impl.PropertyBindingImpl

      `_accessInfo, _fieldExpr`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `InitPropertyBindingImpl​(Binder binder, Component comp, java.lang.String attr, java.lang.String loadAttr, java.lang.Class<?> attrType, java.lang.String initExpr, java.util.Map<java.lang.String,​java.lang.Object> bindingArgs, java.lang.String converterExpr, java.util.Map<java.lang.String,​java.lang.Object> converterArgs)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected boolean` | `ignoreTracker()` |
    `void` | `load​(BindContext ctx)` | Load data into the source attribute from the target property.

    - ### Methods inherited from class org.zkoss.bind.impl.PropertyBindingImpl

      `getCommandName, getConditionType, getConverter, getConverterArgs, getFieldName, getProperty, getPropertyString, toString`

    - ### Methods inherited from class org.zkoss.bind.impl.BindingImpl

      `containsAttribute, getArgs, getAttribute, getBinder, getComponent, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.zkoss.bind.sys.Binding

      `getArgs, getBinder, getComponent`

    - ### Methods inherited from interface org.zkoss.bind.sys.PropertyBinding

      `getCommandName, getConditionType, getConverter, getConverterArgs, getFieldName, getProperty, getPropertyString`

- - ### Constructor Detail

    - #### InitPropertyBindingImpl

          public InitPropertyBindingImpl​(Binder binder,
                                         Component comp,
                                         java.lang.String attr,
                                         java.lang.String loadAttr,
                                         java.lang.Class<?> attrType,
                                         java.lang.String initExpr,
                                         java.util.Map<java.lang.String,​java.lang.Object> bindingArgs,
                                         java.lang.String converterExpr,
                                         java.util.Map<java.lang.String,​java.lang.Object> converterArgs)

  - ### Method Detail

    - #### ignoreTracker

          protected boolean ignoreTracker()

      Overrides:
        `ignoreTracker` in class `PropertyBindingImpl`

    - #### load

          public void load​(BindContext ctx)

      Description copied from interface: `LoadBinding`
      Load data into the source attribute from the target property.
      Specified by:
        `load` in interface `LoadBinding`
      Parameters:
        `ctx` - the binding runtime context